| Home | Libraries | People | FAQ | More

## Type definition mt19937

mt19937

## Synopsis

    // In header: <boost/random/mersenne_twister.hpp>

    typedef random::mersenne_twister< uint32_t, 32, 624, 397, 31, 0x9908b0df, 11, 7, 0x9d2c5680, 15, 0xefc60000, 18, 3346425566U > mt19937;

## Description

The specializations mt11213b and mt19937 are from

> "Mersenne Twister: A 623-dimensionally equidistributed uniform pseudo-random number generator", Makoto Matsumoto and Takuji Nishimura, ACM Transactions on Modeling and Computer Simulation: Special Issue on Uniform Random Number Generation, Vol. 8, No. 1, January 1998, pp. 3-30.